# History Manager

- [Description](#description)
- [Installation](#installation)
- [Implementation](#implementation)
- [Methods](#methods)

# Description
This library contains 3 simple functionalities that helps you manage any kind of history. (e.g. download history, search history, app logs...).

The way to use this library is creating an instance of [History main class](/../../blob/main/lib/History.dart) every time you want to use it and calling the methods. The functionalities will be executed in an isolated thread.

# Installation
In your pubspec.yaml root add:
```yaml
dependencies:
  historymanager: ^1.0.0
```
then,
```dart
import 'package:historymanager/History.dart';
```

# Implementation
```dart
History history = History();
history.historyAdd('dataToStore', 'pathToTheHistoryFolder');
```

# Methods
| Method        | Description                                    | Arguments                                             | Return type                |
|---------------|------------------------------------------------|-------------------------------------------------------|----------------------------|
| HistoryAdd    | Add entry to history                           | String historyFolderPath, String entry                | ```void```                 |
| HistoryRead   | Read history history using arguments as filter | String historyFolderPath, [String date, String entry] | ```Future<List<String>>``` |
| HistoryDelete | Delete history using arguments as filter       | String historyFolderPath, [String date, String entry] | ```void```                 |